Subject: Re: bug#9622: [PATCH] Re: bug#9622: 23.3; flet indentation

From: Mattias Engdegård <[email-masked]>
Date: Thu, 30 Sep 2021 10:05:33 +0200

30 sep. 2021 kl. 08.37 skrev Lars Ingebrigtsen <[email-masked]>:

>> - I attached flet-tests.sexp which only contains cl-flet forms written
>>  the way they are meant to be indented.  I think writing them in
>>  strings in deftest forms would be quite ugly and unreliable.

What would be unreliable?

> Indeed.  I have a new machinery for doing tests like this waiting for
> Emacs 29 development to commence to fix this awkwardness.

We should insist on tests accompanying any bug fix from the start. Awkward is better than nothing. If the author finds it too difficult to write the test then we should help.

Akater, we have plenty of indentation tests for other programming modes already and they employ a variety of methods; there are many examples to look at. For instance, look at ruby-mode-tests.el; it contains a converted legacy test (ruby--indent/converted-from-manual-test) that reindents a separate source file, much like your example.

If you need further directions, we will assist.